Page MenuHomePhabricator

usercontribs module no longer accepting usernames that start with User: namespace prefix
Closed, ResolvedPublic

Description

As reported on wiki, the usercontribs module of the Api no longer accepts usernames that are prefixed with User:, which is a breaking change, that caused the MediaWiki-Bot to break.

The change that caused this was traced by @Anomie to Change d3da5e08d3

This was previously undocumented behavior of the usercontribs module. We probably should properly deprecate this after a short term workaround ?

Details

Related Gerrit Patches:

Event Timeline

TheDJ created this task.May 18 2018, 9:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 9:31 AM
TheDJ updated the task description. (Show Details)May 18 2018, 9:35 AM
TheDJ added a subscriber: Simetrical.

Change 433706 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Use User::getCanonicalName() when validating user names

https://gerrit.wikimedia.org/r/433706

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.May 18 2018, 12:07 PM

Change 433706 merged by jenkins-bot:
[mediawiki/core@master] API: Use User::getCanonicalName() when validating user names

https://gerrit.wikimedia.org/r/433706

Anomie closed this task as Resolved.May 20 2018, 7:17 PM
Anomie claimed this task.

The fix should be deployed to Wikimedia wikis with 1.32.0-wmf.5 or later, see https://www.mediawiki.org/wiki/MediaWiki_1.32/Roadmap for the schedule.

Vvjjkkii renamed this task from usercontribs module no longer accepting usernames that start with User: namespace prefix to zscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Anomie as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from zscaaaaaaa to usercontribs module no longer accepting usernames that start with User: namespace prefix.Jul 2 2018, 4:03 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Anomie.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.